Bug 306964 - Can't connect to an SSL-encrypted IMAP account
Summary: Can't connect to an SSL-encrypted IMAP account
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: IMAP resource (show other bugs)
Version: 4.9
Platform: unspecified Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Kevin Ottens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-18 01:42 UTC by markuss
Modified: 2012-12-11 15:50 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markuss 2012-09-18 01:42:00 UTC
This seems to be a regression in 4.9.1:
I can't connect to one of my three IMAP accounts via SSL. The account just goes offline. Neither Thunderbird nor K9-Mail (Android) have problems with it.
I asked tech support and made sure that nothing on the server changed or the certificate was no longer valid. Sending via SMTP from the same server works without problems.

Automatic checking of present security features via KMail claims that none are present. Unencrypted IMAP connections work.

On the forums there seems to be a similar problem: http://forum.kde.org/viewtopic.php?f=215&t=107731
I followed the advice and ran akonadiconsole but the account goes offline without any message at all.


Reproducible: Always
Comment 1 Stefan Brüns 2012-10-27 20:01:03 UTC
Which version of openSSL are you using? 1.0.1?

Can you provide the address of the IMAP server?
Comment 2 S. Burmeister 2012-11-02 10:09:40 UTC
Is https://git.reviewboard.kde.org/r/107099/ supposed to fix this?

By now other distros than openSUSE seem to be affected as well (bug 308854) and it seems a more general issue (bug 306899).
Comment 3 markuss 2012-11-02 12:40:18 UTC
(In reply to comment #1)
> Which version of openSSL are you using? 1.0.1?
Yes.

> Can you provide the address of the IMAP server?
No, not in a public bug tracker.
Comment 4 markuss 2012-11-02 12:48:16 UTC
(In reply to comment #2)
> By now other distros than openSUSE seem to be affected as well (bug 308854)

Both mail server (mine and the one in the bug) run Sun Java System Messaging Server 6.3.
Comment 5 Christophe Giboudeaux 2012-11-13 09:30:51 UTC
Fixed now